#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4480f945, "can_ethtool_op_get_ts_info_hwts" },
	{ 0x31d4b5ff, "device_property_read_u32_array" },
	{ 0x6bf2afaa, "can_change_state" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6c0408a, "can_change_mtu" },
	{ 0x705bef52, "can_rx_offload_add_manual" },
	{ 0xb9261aea, "spi_sync" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x96698924, "can_dropped_invalid_skb" },
	{ 0xd9cbf1b4, "devm_kfree" },
	{ 0x7cc7973d, "_dev_err" },
	{ 0x9e1a6f9e, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd5e2f086, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x97f61607, "kfree_skb_reason" },
	{ 0x6ea05a8d, "netdev_printk" },
	{ 0x2340af69, "driver_unregister" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xfaa26c6d, "can_eth_ioctl_hwts" },
	{ 0xf4238194, "dql_completed" },
	{ 0xc071d8cb, "dev_coredumpv" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x941c48c2, "netif_tx_wake_queue" },
	{ 0xd9839159, "spi_async" },
	{ 0xef08cc2a, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0xa0d817de, "device_get_match_data" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x82c59377, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90e5c9f7, "can_bus_off" },
	{ 0x6c4048b5, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xa9ae00d3, "can_rx_offload_enable" },
	{ 0x331e2e2e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2e87159, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x8d256c3e, "spi_setup" },
	{ 0x340e130e, "regmap_read" },
	{ 0xfc9413d2, "__pm_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xda91257c, "__spi_register_driver" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xafd64d42, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf659704c, "dql_reset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xc1e11924, "regmap_update_bits_base" },
	{ 0x11e9f474, "regulator_disable" },
	{ 0x53fbdb60, "dev_err_probe" },
	{ 0x95eaa208, "alloc_can_err_skb" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xe13b5b44, "regmap_raw_write" },
	{ 0x341451f8, "napi_disable" },
	{ 0xcba7098b, "netdev_notice" },
	{ 0x5d7d9b2, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2c9b70d3, "register_candev" },
	{ 0x47a97922, "__pm_runtime_idle" },
	{ 0x862258db, "timecounter_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xd4875490, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xef24a18b, "__devm_regmap_init" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa3a37eb3, "gpiod_get_value_cansleep" },
	{ 0x8c18a5e9, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa084a2df, "regmap_write" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0x8b0579a0, "can_rx_offload_del" },
	{ 0x45a73aed, "can_put_echo_skb" },
	{ 0x5ffc9e35, "regmap_get_val_bytes" },
	{ 0xd8ee6eb6, "alloc_canfd_skb" },
	{ 0x8d632105, "spi_get_device_id" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3bc477ef, "spi_write_then_read" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9b197d81, "can_skb_get_frame_len" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20484ffc, "netdev_warn" },
	{ 0xda3407b3, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf68fd87a, "can_rx_offload_threaded_irq_finish" },
	{ 0x7d92332c, "open_candev" },
	{ 0xc19bd1c2, "devm_gpiod_put" },
	{ 0xe29241df, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e96a38, "devm_regulator_get_optional" },
	{ 0xf784f6eb, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb4f4bfc7, "pm_runtime_enable" },
	{ 0xf64234df, "can_rx_offload_queue_timestamp" },
	{ 0xe73625ce, "alloc_can_skb" },
	{ 0x544722c5, "unregister_candev" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "can-dev");

MODULE_ALIAS("spi:mcp2517fd");
MODULE_ALIAS("spi:mcp2518fd");
MODULE_ALIAS("spi:mcp251863");
MODULE_ALIAS("spi:mcp251xfd");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2517fd");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2517fdC*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2518fd");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2518fdC*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp251863");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp251863C*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp251xfd");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp251xfdC*");

MODULE_INFO(srcversion, "3E83F1F8FC566BA1236F96D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
