#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4875490, "netdev_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xed104592, "mdiobus_read" },
	{ 0x3236d282, "mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x602321f1, "dev_kfree_skb_any_reason" },
	{ 0x7782286b, "skb_tstamp_tx" },
	{ 0xad7834e6, "napi_complete_done" },
	{ 0x3184891e, "__netdev_alloc_skb" },
	{ 0x821748ba, "skb_put" },
	{ 0xec7f7eb5, "eth_type_trans" },
	{ 0x11666aad, "netif_receive_skb" },
	{ 0x75a10082, "irq_get_irq_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xee494d08, "phy_find_first" },
	{ 0x7c0f753c, "phy_connect_direct" },
	{ 0xc0731c1b, "phy_attached_info" },
	{ 0x1c9436fa, "phy_set_max_speed" },
	{ 0x4d2719a9, "phy_support_asym_pause" },
	{ 0xe29241df, "netdev_err" },
	{ 0x20484ffc, "netdev_warn" },
	{ 0xa5b632bd, "napi_enable" },
	{ 0x811f1e65, "napi_schedule_prep" },
	{ 0x838ba923, "__napi_schedule" },
	{ 0x941c48c2, "netif_tx_wake_queue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x947c8686, "platform_get_irq" },
	{ 0x85bd1608, "__request_region" },
	{ 0x8a2bf256, "alloc_etherdev_mqs" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe250d10, "regulator_bulk_get" },
	{ 0xda3407b3, "devm_gpiod_get_optional" },
	{ 0x5115561f, "clk_get" },
	{ 0x377b01cc, "regulator_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xee70417e, "device_get_phy_mode" },
	{ 0xc8f7f012, "device_get_mac_address" },
	{ 0x31d4b5ff, "device_property_read_u32_array" },
	{ 0xcf6f921f, "device_property_present" },
	{ 0xc40f82a1, "netif_napi_add_weight" },
	{ 0xcbfda24, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea372b2d, "__mdiobus_register" },
	{ 0xc17e10b9, "register_netdev" },
	{ 0x3edb025f, "__dynamic_dev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x92997ed8, "_printk" },
	{ 0x11409f1e, "eth_validate_addr" },
	{ 0xaad0b509, "phy_do_ioctl_running" },
	{ 0x91ce4d9f, "phy_ethtool_nway_reset" },
	{ 0x2fc7a425, "ethtool_op_get_link" },
	{ 0x152d5c31, "ethtool_op_get_ts_info" },
	{ 0x2db88070, "phy_ethtool_get_link_ksettings" },
	{ 0x809fa365, "phy_ethtool_set_link_ksettings" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x500c184f, "__platform_driver_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe246528e, "platform_driver_unregister" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x5877c198, "unregister_netdev" },
	{ 0xa4b08b7f, "mdiobus_unregister" },
	{ 0x73f2063b, "mdiobus_free" },
	{ 0x3b10b96c, "platform_get_resource_byname" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xedc03953, "iounmap" },
	{ 0x44388c79, "regulator_bulk_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9b9b4628, "regulator_bulk_free" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x785f75d, "free_netdev" },
	{ 0x5d7d9b2, "__pm_runtime_disable" },
	{ 0xb2f656e6, "platform_get_resource" },
	{ 0xf784f6eb, "__pm_runtime_set_status" },
	{ 0x4a0eb7aa, "netif_device_detach" },
	{ 0x91b487fc, "phy_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x341451f8, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae154347, "phy_disconnect" },
	{ 0xf2171a48, "netif_carrier_off" },
	{ 0x47a97922, "__pm_runtime_idle" },
	{ 0xb4f4bfc7, "pm_runtime_enable" },
	{ 0xfc9413d2, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54abc97d, "netif_device_attach" },
	{ 0x22d4c697, "phy_start" },
	{ 0xcbd228c, "dev_addr_mod" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("acpi*:ARMH9118:*");

MODULE_INFO(srcversion, "36145A91E81134F6DB143C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
