#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0xefb927f6, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x38b27c1d, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0x9d3b838a, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x44e12aa0, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0x7052616e, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0x8e539c93, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x6bad935b, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0x037f93d7, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0x3ac9fa29, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0xcf8e3bd3, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0x1b71249f, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0x4517bfc0, "_gpl");
SYMBOL_CRC(__mt76u_init, 0xb3d3e7d8, "_gpl");
SYMBOL_CRC(mt76u_init, 0x1e7fd602, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f749709, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1c5df6ce, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5d2631c7, "kthread_park" },
	{ 0x48d0b85d, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc42e3b97, "mt76_tx_status_check" },
	{ 0x4de7a960, "wake_up_process" },
	{ 0xa0ee623, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x768dbc85, "__alloc_skb" },
	{ 0xb8152513, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1c672ed3, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9904ac6, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xdca970bc, "perf_trace_run_bpf_submit" },
	{ 0x7cc7973d, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8ad004ec, "usb_control_msg" },
	{ 0xdbd4461c, "usb_poison_urb" },
	{ 0x7bc5c2a2, "trace_event_reg" },
	{ 0xf4d5a399, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb54aa899, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf73f873, "mt76_queue_tx_complete" },
	{ 0x1ae5a9fe, "kthread_create_on_node" },
	{ 0xb360b07e, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5851da98, "mt76_rx_poll_complete" },
	{ 0xfe7ce16d, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc5d21f37, "param_ops_bool" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x75007e74, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xddffaacb, "usb_init_urb" },
	{ 0xbd691081, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf885c78b, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbbc653b8, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x90d301b, "page_pool_put_unrefed_page" },
	{ 0xdc8b16cc, "usb_free_urb" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0x821748ba, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x852268fc, "page_pool_alloc_frag" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3230b823, "trace_raw_output_prep" },
	{ 0xcc38715f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe4a80e3a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x39938a67, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a9056b5, "mt76_has_tx_pending" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore");


MODULE_INFO(srcversion, "F4F648F8FEA0E37BB0AFD0A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
