#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc128daa1, "ieee80211_sta_eosp" },
	{ 0x36cf417a, "ieee80211_get_hdrlen_from_skb" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x5d2631c7, "kthread_park" },
	{ 0x2cc22c3f, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xad686d6, "mt76_dma_cleanup" },
	{ 0x92536668, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc24f122e, "mt76_alloc_device" },
	{ 0x890ef5a7, "mt76_wcid_init" },
	{ 0xc42e3b97, "mt76_tx_status_check" },
	{ 0x4de7a960, "wake_up_process" },
	{ 0xe7a7046, "skb_queue_purge_reason" },
	{ 0xf6f3f467, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad7834e6, "napi_complete_done" },
	{ 0x24754222, "ieee80211_sta_set_buffered" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cf4620b, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbbb2117f, "mt76_tx" },
	{ 0x838ba923, "__napi_schedule" },
	{ 0x8cec8f85, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb343fa9, "mt76_wcid_key_setup" },
	{ 0x60268665, "_dev_info" },
	{ 0xae2d4499, "mt76_free_device" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x54aea2d6, "mt76_rx" },
	{ 0x1c672ed3, "kthread_unpark" },
	{ 0xb8387efe, "wiphy_to_ieee80211_hw" },
	{ 0xc61d387c, "mt76_init_queue" },
	{ 0x226530e0, "debugfs_attr_read" },
	{ 0xe51434fe, "pcim_iomap_regions" },
	{ 0x2f3be2ba, "mt76_tx_status_skb_done" },
	{ 0xf0019569, "ieee80211_queue_delayed_work" },
	{ 0x2e4f49f0, "devm_kmemdup" },
	{ 0x39c8a331, "mt76_eeprom_init" },
	{ 0x7cc7973d, "_dev_err" },
	{ 0x3dcc6880, "debugfs_create_bool" },
	{ 0x33c14c93, "skb_pull" },
	{ 0x1a04610e, "mt76_register_device" },
	{ 0x392d418f, "simple_attr_release" },
	{ 0x10471a9d, "mt76_set_tim" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x452ba7e7, "__SCK__tp_func_dev_irq" },
	{ 0x97f61607, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe06cf551, "skb_push" },
	{ 0x6682e90d, "mt76_set_channel" },
	{ 0xa5b632bd, "napi_enable" },
	{ 0xe94cddf8, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf3dbeb7, "mt76_mmio_init" },
	{ 0xbf2454e0, "ieee80211_wake_queues" },
	{ 0x47aeae3, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa56a6d95, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xda886095, "mt76_unregister_device" },
	{ 0x13bf3853, "mt76_set_irq_mask" },
	{ 0x44092cf4, "mt76_get_survey" },
	{ 0x57fd95da, "ieee80211_emulate_add_chanctx" },
	{ 0xbe000594, "__mt76_mcu_send_firmware" },
	{ 0xaee8f61e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb92e8e5, "debugfs_create_u32" },
	{ 0xada3acb, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x27af822c, "__SCK__tp_func_mac_txdone" },
	{ 0xe12d8413, "mt76_sta_state" },
	{ 0x1f40f55b, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x500c184f, "__platform_driver_register" },
	{ 0xf1c7253d, "__tracepoint_dev_irq" },
	{ 0xf39a94d4, "seq_read" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x6a3eb3ca, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbe29f7d, "mt76_insert_ccmp_hdr" },
	{ 0xd69f28b7, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfedddd4c, "mt76_sw_scan_complete" },
	{ 0x1dbd5aa5, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x22c6a296, "____mt76_poll_msec" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x8e93792, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf8cd2abf, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8d0ec929, "mt76_wcid_cleanup" },
	{ 0x91db4943, "seq_puts" },
	{ 0xe71cdc4b, "single_release" },
	{ 0x4143c233, "dma_set_mask" },
	{ 0x2f3fbf69, "mt76_sw_scan" },
	{ 0x706ca9ca, "mt76_queues_read" },
	{ 0x83069680, "mt76_sta_pre_rcu_remove" },
	{ 0x20cd5a0f, "mt76_register_debugfs_fops" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xa8612a56, "pcim_iomap_table" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x811f1e65, "napi_schedule_prep" },
	{ 0x341451f8, "napi_disable" },
	{ 0x602321f1, "dev_kfree_skb_any_reason" },
	{ 0x52ac9f34, "__mt76_poll" },
	{ 0x737818b0, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8878eff9, "debugfs_create_u8" },
	{ 0xf14b02bd, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb8d8b14c, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9c4c9a8, "mt76_dma_attach" },
	{ 0xcfc70990, "ieee80211_emulate_remove_chanctx" },
	{ 0x6e820e2b, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0x94408ff6, "mt76_init_sar_power" },
	{ 0x1c7503c, "devm_platform_ioremap_resource" },
	{ 0x5690d847, "mt76_dma_rx_poll" },
	{ 0xc7d99d47, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9c40d2bc, "simple_attr_open" },
	{ 0xadb2d6b5, "devm_request_threaded_irq" },
	{ 0xda1f96d5, "debugfs_attr_write" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe246528e, "platform_driver_unregister" },
	{ 0x186d61e4, "consume_skb" },
	{ 0x947c8686, "platform_get_irq" },
	{ 0xc40f82a1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb857cff2, "mt76_tx_status_skb_get" },
	{ 0xe1e1b80c, "mt76_tx_status_lock" },
	{ 0xe8f8ccc8, "ieee80211_free_hw" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8cfcef51, "mt76_release_buffered_frames" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0x3422e57c, "mt76_get_txpower" },
	{ 0xb10fe71, "mt76_csa_check" },
	{ 0x8e30b47, "mt76_tx_status_skb_add" },
	{ 0x2287c8d, "__pci_register_driver" },
	{ 0x7b866e4, "__tracepoint_mac_txdone" },
	{ 0xd859996e, "mt76_tx_check_agg_ssn" },
	{ 0x21c2527e, "mt76_get_rate" },
	{ 0x3c8d12bb, "mt76_wake_tx_queue" },
	{ 0x81963f69, "ieee80211_tx_status_ext" },
	{ 0xeda9076, "mt76_stop_tx_queues" },
	{ 0x389e069d, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d417251, "__mt76_tx_complete_skb" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0xc59d0fb9, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,mt76");

MODULE_ALIAS("pci:v000014C3d00007603sv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmac");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmacC*");

MODULE_INFO(srcversion, "491467C5CAD8054FD6955D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
