#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36cf417a, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8d3059b7, "wlcore_scan_sched_scan_results" },
	{ 0x2cd9af3f, "ieee80211_stop_rx_ba_session" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca447098, "wl1271_free_tx_id" },
	{ 0x5bddb369, "wlcore_event_max_tx_failure" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x92997ed8, "_printk" },
	{ 0xf9e9f004, "wlcore_remove" },
	{ 0x44825a, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd69a29ef, "__cfg80211_alloc_event_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5e4540e3, "wlcore_event_channel_switch" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xdf041e03, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x47c87de9, "__cfg80211_send_event_skb" },
	{ 0xf0019569, "ieee80211_queue_delayed_work" },
	{ 0x86dc20e7, "simple_open" },
	{ 0x33c14c93, "skb_pull" },
	{ 0x75a10082, "irq_get_irq_data" },
	{ 0x97f61607, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb776899b, "wlcore_enable_interrupts" },
	{ 0x6007dcc1, "wlcore_set_partition" },
	{ 0x3f677929, "wlcore_boot_upload_firmware" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd51d05d4, "wlcore_event_sched_scan_completed" },
	{ 0x91519005, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x64b413fd, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63165ce5, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x500c184f, "__platform_driver_register" },
	{ 0x20351125, "wlcore_get_native_channel_type" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0xfc9413d2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x62496126, "wlcore_alloc_hw" },
	{ 0xc5d21f37, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63d6dc4e, "wlcore_probe" },
	{ 0x1686c93a, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa53d7163, "wlcore_event_rssi_trigger" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xf6da5f50, "wlcore_event_fw_logger" },
	{ 0x474cdf98, "ieee80211_radar_detected" },
	{ 0x2ab95091, "wlcore_event_ba_rx_constraint" },
	{ 0xb4e1fceb, "wlcore_event_inactive_sta" },
	{ 0x78da8002, "wlcore_event_dummy_packet" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xee401c24, "__pm_runtime_suspend" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x85719df0, "wlcore_event_beacon_loss" },
	{ 0x5b2813d7, "debugfs_create_dir" },
	{ 0x1fd45e58, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9ba40ec8, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x52d46c78, "wl12xx_cmd_build_probe_req" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x788a800c, "wl1271_cmd_send" },
	{ 0xe246528e, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd5606988, "wl12xx_is_dummy_packet" },
	{ 0xb0e602eb, "memmove" },
	{ 0x38b9c8a2, "wlcore_event_roc_complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa204fd05, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x25e0f9eb, "wlcore_translate_addr" },
	{ 0xc4dad9a, "wlcore_boot_run_firmware" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0xa03fb55f, "wlcore_set_scan_chan_params" },
	{ 0x1f3c4b40, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0x7464961, "wlcore_free_hw" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,wlcore,mac80211");

MODULE_ALIAS("platform:wl18xx");

MODULE_INFO(srcversion, "F47C2C2752F237231271EDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
