#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0x64de10ba, "");
SYMBOL_CRC(free_rtllib, 0xb25730c5, "");
SYMBOL_CRC(rtllib_rx, 0x5a9528a2, "");
SYMBOL_CRC(rtllib_legal_channel, 0xef15c9f4, "");
SYMBOL_CRC(rtllib_xmit, 0x6c70a536, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x1ed1f578, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x2567e9ba, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x8b162613, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x6ae7528f, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x07d778a6, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0xe77725ba, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x1b7772ce, "");
SYMBOL_CRC(rtllib_stop_scan, 0x585cad7f, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x184f1adc, "");
SYMBOL_CRC(rtllib_act_scanning, 0xb5f84429, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x6c079bc9, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x9f807cc2, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x8b9655a6, "");
SYMBOL_CRC(rtllib_reset_queue, 0x978ab4ff, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0xb30969a8, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x86a606b0, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0x918b3ef8, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x8566ed0e, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xf92c6848, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x562df8a8, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x9a74a0bf, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x91ff0c16, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xd7b376ec, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0xf36d0bc6, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x5c6c9b26, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x074ad045, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x0cc17cec, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x795c66d3, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0xb1d06598, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x77169504, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xd65df633, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x07187b0e, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x34ba636e, "");
SYMBOL_CRC(rtllib_wx_get_power, 0x941f8086, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x343806d1, "");
SYMBOL_CRC(remove_peer_ts, 0xe1afd82a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20484ffc, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe29241df, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec7f7eb5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x88f87708, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdf041e03, "skb_queue_tail" },
	{ 0x4e309c17, "lib80211_get_crypto_ops" },
	{ 0x33c14c93, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x97f61607, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe06cf551, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x74966b43, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x785f75d, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x39ecc259, "netif_tx_stop_all_queues" },
	{ 0x941c48c2, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b674327, "netif_rx" },
	{ 0x3184891e, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x331e2e2e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50a7d768, "netdev_alert" },
	{ 0x83fd1338, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2171a48, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcd212949, "lib80211_crypt_delayed_deinit" },
	{ 0x3cdbe069, "netif_carrier_on" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x602321f1, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xd4875490, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a2bf256, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0x821748ba, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x186d61e4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x2399444, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "CF5197B09891A247E6C1DBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
