#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb94b612f, "ieee80211_handle_wake_tx_queue" },
	{ 0x349364e7, "ieee80211_tx_status_irqsafe" },
	{ 0x5428b42, "usb_put_dev" },
	{ 0x31342fcf, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3a54e5d0, "usb_get_dev" },
	{ 0xb8152513, "usb_submit_urb" },
	{ 0x60268665, "_dev_info" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x7cc7973d, "_dev_err" },
	{ 0x33c14c93, "skb_pull" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe06cf551, "skb_push" },
	{ 0x8ad004ec, "usb_control_msg" },
	{ 0xbf2454e0, "ieee80211_wake_queues" },
	{ 0xfb2c3f8b, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa0ec1400, "ieee80211_alloc_hw_nm" },
	{ 0x5809ab68, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5a403d02, "_dev_warn" },
	{ 0x57fd95da, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xada3acb, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3184891e, "__netdev_alloc_skb" },
	{ 0xfb5a6480, "usb_unanchor_urb" },
	{ 0x1f40f55b, "ieee80211_stop_queues" },
	{ 0xc81a1317, "skb_trim" },
	{ 0x1a18c8d8, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec6c8310, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x75007e74, "usb_kill_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e93792, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x5db4e7ea, "skb_clone" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0xcfc70990, "ieee80211_emulate_remove_chanctx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x28ca2b6e, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2c6e8151, "ieee80211_rts_duration" },
	{ 0x923576cf, "usb_alloc_urb" },
	{ 0x347b5d0, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc8b16cc, "usb_free_urb" },
	{ 0x821748ba, "skb_put" },
	{ 0x186d61e4, "consume_skb" },
	{ 0xe8f8ccc8, "ieee80211_free_hw" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0xe52d4289, "usb_register_driver" },
	{ 0xf633816b, "ieee80211_get_tkip_p2k" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x86f3a106, "ieee80211_register_hw" },
	{ 0xc59d0fb9, "ieee80211_emulate_change_chanctx" },
	{ 0xaec1f91b, "ieee80211_ctstoself_duration" },
	{ 0x36cf417a, "ieee80211_get_hdrlen_from_skb" },
	{ 0x793ddef4, "ieee80211_generic_frame_duration" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3edb025f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v160Ap3184d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "89DEC24D79027E429A1EC87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
