#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x9364bbc1, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xca9ca267, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xe8c374dd, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xd7a449ca, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x92ca1a52, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xef5169b2, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xfc5d0a70, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x2a3f6608, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xd6997715, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xbd07844d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xda28170f, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xe2d0de56, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x6b0b8eca, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xd09e6a18, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x9f726304, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x8ef72388, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x1ecfa187, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xb751fe54, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x9b25422c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xd98f50b2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x0841942e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x23313743, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x2774bd94, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x714e31b6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x67a8968c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x0d5901fd, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xb553506b, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xc7e3a0ec, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x88f4ed20, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x80425d72, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x29a42dc6, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xe04a084b, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xada06cc0, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x718fea34, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x6346cf42, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x94119177, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4a80e3a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2e166435, "vsock_deliver_tap" },
	{ 0x39938a67, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb20a93b, "sk_error_report" },
	{ 0xa0ee623, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37829299, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x768dbc85, "__alloc_skb" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xdca970bc, "perf_trace_run_bpf_submit" },
	{ 0x77c734e7, "sk_free" },
	{ 0x97f61607, "kfree_skb_reason" },
	{ 0x7bc5c2a2, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa379f744, "__skb_recv_datagram" },
	{ 0x571977be, "lock_sock_nested" },
	{ 0xfb64b0e6, "vsock_stream_has_data" },
	{ 0xfb92b8c0, "skb_copy_datagram_iter" },
	{ 0x2028fcf3, "bpf_trace_run9" },
	{ 0x50d972f, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x26f12e16, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0afab71, "bpf_trace_run10" },
	{ 0xee9d61c9, "vsock_core_get_transport" },
	{ 0x128b3863, "__zerocopy_sg_from_iter" },
	{ 0x222fa62e, "vsock_stream_has_space" },
	{ 0x1862a944, "skb_set_owner_w" },
	{ 0xfe7ce16d, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x47c28f54, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6b6dc997, "msg_zerocopy_realloc" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xdba59d25, "vsock_create_connected" },
	{ 0x63a2a184, "vsock_assign_transport" },
	{ 0x74d3a5d8, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xba8da3c9, "iov_iter_npages" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xbee3a00a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc0f54c9, "vsock_data_ready" },
	{ 0x1967fca3, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xacf57d9a, "vsock_insert_connected" },
	{ 0x821748ba, "skb_put" },
	{ 0x186d61e4, "consume_skb" },
	{ 0x3230b823, "trace_raw_output_prep" },
	{ 0xcc38715f, "__trace_trigger_soft_disabled" },
	{ 0x97d6137a, "vsock_remove_sock" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
