#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x299ae04e, "octeon_free_sc_buffer_pool" },
	{ 0xdb5c0337, "octeon_allocate_ioq_vector" },
	{ 0xcb796602, "octeon_init_dispatch_list" },
	{ 0xf81c3560, "octeon_register_dispatch_fn" },
	{ 0xcde8d9e7, "octeon_delete_instr_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x39570e83, "__put_devmap_managed_page_refs" },
	{ 0x19cb4e69, "liquidio_link_ctrl_cmd_completion" },
	{ 0x9d2a919b, "__netif_napi_del" },
	{ 0x3edb025f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92536668, "pci_unregister_driver" },
	{ 0x8c6d46bd, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bad2809, "dev_driver_string" },
	{ 0xcbd228c, "dev_addr_mod" },
	{ 0xa44d3e2b, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e5ab95b, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x209efb26, "octeon_setup_response_list" },
	{ 0x17c2e5d9, "octeon_get_rx_qsize" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa09c0d26, "octeon_allocate_device" },
	{ 0xda684d7d, "octeon_free_ioq_vector" },
	{ 0xfad1a78, "octeon_setup_interrupt" },
	{ 0x4a0eb7aa, "netif_device_detach" },
	{ 0xa57bb60d, "lio_process_iq_request_list" },
	{ 0x2bc7637, "liquidio_setup_io_queues" },
	{ 0x60268665, "_dev_info" },
	{ 0x8621512d, "octeon_free_sc_done_list" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd86c9e72, "octeon_get_tx_qsize" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf0c0c09e, "octeon_send_command" },
	{ 0x14d32a40, "octeon_free_soft_command" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x7cc7973d, "_dev_err" },
	{ 0x6c7e7157, "softnet_data" },
	{ 0x19c9261f, "octeon_free_sc_zombie_list" },
	{ 0x1bf5b87a, "octeon_alloc_soft_command" },
	{ 0xbf903b76, "octeon_set_io_queues_off" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x81d4e2e, "pcie_flr" },
	{ 0xa5b632bd, "napi_enable" },
	{ 0xc17e10b9, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x785f75d, "free_netdev" },
	{ 0x7754de2a, "liquidio_set_ethtool_ops" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf0d4f57b, "octeon_delete_droq" },
	{ 0xa050ac09, "octeon_delete_response_list" },
	{ 0x5eec5011, "lio_process_ordered_list" },
	{ 0x5984f014, "pci_restore_state" },
	{ 0x941c48c2, "netif_tx_wake_queue" },
	{ 0xa08b5836, "octeon_delete_dispatch_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x5a403d02, "_dev_warn" },
	{ 0x5ff92c06, "octeon_droq_check_hw_for_pkts" },
	{ 0x241a2a6c, "lio_fetch_stats" },
	{ 0xaee8f61e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf506cf35, "lio_wait_for_instr_fetch" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b3f86bf, "dma_set_coherent_mask" },
	{ 0x28e212dd, "lio_setup_glists" },
	{ 0x69743b5, "cn23xx_vf_ask_pf_to_do_flr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4f41d008, "octeon_alloc_soft_command_resp" },
	{ 0xc7be3c2f, "octeon_prepare_soft_command" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x178e1e84, "octeon_setup_instr_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2113f4d7, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2171a48, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3cdbe069, "netif_carrier_on" },
	{ 0x2e8f2721, "octeon_unregister_droq_ops" },
	{ 0xfd60c31b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdfa1e070, "pci_disable_device" },
	{ 0xb95c7047, "liquidio_change_mtu" },
	{ 0x4143c233, "dma_set_mask" },
	{ 0x8d2c5b99, "netif_set_tso_max_size" },
	{ 0x6d0d28ef, "octeon_init_device_list" },
	{ 0xec7f00a5, "lio_get_state_string" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x341451f8, "napi_disable" },
	{ 0x602321f1, "dev_kfree_skb_any_reason" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x75ddbcdd, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa45d664b, "pci_release_region" },
	{ 0xe082a762, "octeon_setup_sc_buffer_pool" },
	{ 0xaef7122c, "pci_write_config_dword" },
	{ 0xd4875490, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeeccabd0, "lio_delete_glists" },
	{ 0xe81d61e5, "octnet_send_nic_ctrl_pkt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8a2bf256, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x198ab8c6, "pci_save_state" },
	{ 0x16051c98, "dev_set_mtu" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa71212dc, "octeon_free_device_mem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4872e032, "pci_cfg_access_unlock" },
	{ 0x398ab7b9, "octeon_send_soft_command" },
	{ 0xf85ff541, "pcie_reset_flr" },
	{ 0x97af75c9, "cn23xx_setup_octeon_vf_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc3622c92, "pci_enable_device" },
	{ 0xec175a49, "setup_rx_oom_poll_fn" },
	{ 0x7782286b, "skb_tstamp_tx" },
	{ 0x35fb914b, "octnet_send_nic_data_pkt" },
	{ 0x8c5f30d3, "octeon_ring_doorbell_locked" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb92bb864, "lio_wait_for_clean_oq" },
	{ 0x344c408b, "octeon_setup_output_queues" },
	{ 0x5877c198, "unregister_netdev" },
	{ 0xebc86528, "octeon_register_reqtype_free_fn" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc38dc7d7, "dma_unmap_page_attrs" },
	{ 0x8ea6db85, "liquidio_set_feature" },
	{ 0xb21a2eb5, "cleanup_rx_oom_poll_fn" },
	{ 0x2287c8d, "__pci_register_driver" },
	{ 0x80c9c2c2, "cn23xx_octeon_pfvf_handshake" },
	{ 0xedc03953, "iounmap" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "liquidio-core");

MODULE_ALIAS("pci:v0000177Dd00009712sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DA8FB1B92CB3B1EB545DC4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
