#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_read, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_write, "", "");
KSYMTAB_FUNC(bcm_phy_write_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_ack_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_shadow, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_shadow, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_apd, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_eee, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_get, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_set, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_sset_count, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_strings, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_stats, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_r_rc_cal_reset, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_28nm_a0b0_afe_config_init, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_jumbo, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_wol_isr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_led_brightness_set, "_gpl", "");

SYMBOL_CRC(__bcm_phy_write_exp, 0xa8c7ac89, "_gpl");
SYMBOL_CRC(bcm_phy_write_exp, 0x34874971, "_gpl");
SYMBOL_CRC(__bcm_phy_read_exp, 0xa677b574, "_gpl");
SYMBOL_CRC(bcm_phy_read_exp, 0xa1d79b18, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_exp, 0xe98c540c, "_gpl");
SYMBOL_CRC(bcm_phy_modify_exp, 0x57f1acd6, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_read, 0xf6da8c30, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_write, 0x7eda0984, "");
SYMBOL_CRC(bcm_phy_write_misc, 0xe489b703, "_gpl");
SYMBOL_CRC(bcm_phy_read_misc, 0xb3300e24, "_gpl");
SYMBOL_CRC(bcm_phy_ack_intr, 0xdc4a0349, "_gpl");
SYMBOL_CRC(bcm_phy_config_intr, 0xf36c1a4a, "_gpl");
SYMBOL_CRC(bcm_phy_handle_interrupt, 0x4648ee55, "_gpl");
SYMBOL_CRC(bcm_phy_read_shadow, 0xf5db16f9, "_gpl");
SYMBOL_CRC(bcm_phy_write_shadow, 0xd6fccd2d, "_gpl");
SYMBOL_CRC(__bcm_phy_read_rdb, 0x70e23d04, "_gpl");
SYMBOL_CRC(bcm_phy_read_rdb, 0x77421368, "_gpl");
SYMBOL_CRC(__bcm_phy_write_rdb, 0x21e9020f, "_gpl");
SYMBOL_CRC(bcm_phy_write_rdb, 0xbda9e7f7, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_rdb, 0x407b7a3c, "_gpl");
SYMBOL_CRC(bcm_phy_modify_rdb, 0xfe0682e6, "_gpl");
SYMBOL_CRC(bcm_phy_enable_apd, 0xb970d715, "_gpl");
SYMBOL_CRC(bcm_phy_set_eee, 0xcef8aeb6, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_get, 0x522d7bfe, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_set, 0x75b5eb99, "_gpl");
SYMBOL_CRC(bcm_phy_get_sset_count, 0x0a579c47, "_gpl");
SYMBOL_CRC(bcm_phy_get_strings, 0xb0ab8e81, "_gpl");
SYMBOL_CRC(bcm_phy_get_stats, 0xb880a995, "_gpl");
SYMBOL_CRC(bcm_phy_r_rc_cal_reset, 0x82875af8, "_gpl");
SYMBOL_CRC(bcm_phy_28nm_a0b0_afe_config_init, 0xc4b80c97, "_gpl");
SYMBOL_CRC(bcm_phy_enable_jumbo, 0x89cadafb, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start, 0xf068c7bb, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status, 0xd7bb1044, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start_rdb, 0x97de3f16, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status_rdb, 0xb3918f7c, "_gpl");
SYMBOL_CRC(bcm_phy_set_wol, 0x2594fa59, "_gpl");
SYMBOL_CRC(bcm_phy_get_wol, 0xc01b3aa9, "_gpl");
SYMBOL_CRC(bcm_phy_wol_isr, 0xa0f0ddfd, "_gpl");
SYMBOL_CRC(bcm_phy_led_brightness_set, 0x88cb5011, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3236d282, "mdiobus_write" },
	{ 0xed104592, "mdiobus_read" },
	{ 0x7f2c956d, "phy_trigger_machine" },
	{ 0x5c282314, "phy_error" },
	{ 0xaa713e58, "phy_read_mmd" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2b11b40c, "__mdiobus_write" },
	{ 0x414afac8, "__mdiobus_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf8f6a0ee, "phy_write_mmd" },
	{ 0xe943320d, "phy_modify" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0f4eb0, "ethnl_cable_test_result" },
	{ 0x4da5e0d0, "ethnl_cable_test_fault_length" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "D6D87B59996E8D5917EE9C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
