#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0x6c65c102, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x787f197a, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0xf2c2cdb8, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0xd07dc2bc, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0x3a4c2c1d, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x712112e1, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0xc1a7a224, "");
SYMBOL_CRC(ath6kl_core_init, 0xd7b00f09, "");
SYMBOL_CRC(ath6kl_core_create, 0xa4f4dfee, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0x8fd75430, "");
SYMBOL_CRC(ath6kl_core_destroy, 0x5aa06ce2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x524dcfa3, "cfg80211_put_bss" },
	{ 0x8057c2af, "cfg80211_roamed" },
	{ 0x477056b5, "cfg80211_ch_switch_notify" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7ee5402, "skb_copy_expand" },
	{ 0xdf041e03, "skb_queue_tail" },
	{ 0xa017ab21, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x3f39828c, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5697f223, "cfg80211_ibss_joined" },
	{ 0x33c14c93, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf5432410, "cfg80211_michael_mic_failure" },
	{ 0x97f61607, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe06cf551, "skb_push" },
	{ 0x82908833, "cfg80211_del_sta_sinfo" },
	{ 0xfb127f0b, "wiphy_unregister" },
	{ 0x785f75d, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2fc7a425, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x941c48c2, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x87a310b0, "cfg80211_pmksa_candidate_notify" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6b674327, "netif_rx" },
	{ 0x3184891e, "__netdev_alloc_skb" },
	{ 0xc81a1317, "skb_trim" },
	{ 0x26d5b7cd, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x919ce600, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x67a07bbe, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2171a48, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x88e01055, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3cdbe069, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfe87a73f, "cfg80211_conn_failed" },
	{ 0x29346c85, "cfg80211_inform_bss_data" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x78f99405, "cfg80211_connect_done" },
	{ 0x43cbc494, "__cfg80211_get_bss" },
	{ 0x14544718, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xcfa9c8a0, "cfg80211_sched_scan_results" },
	{ 0xc01cb3a2, "cfg80211_cqm_txe_notify" },
	{ 0x4da0c1e, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb1a0f917, "param_ops_uint" },
	{ 0x821748ba, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4244ee9c, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf3f91117, "cfg80211_sched_scan_stopped" },
	{ 0x186d61e4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd24c1aaf, "cfg80211_remain_on_channel_expired" },
	{ 0x63b76755, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd97d6ef5, "cfg80211_register_netdevice" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1a1d1267, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4b8e5f82, "cfg80211_new_sta" },
	{ 0x7b4ea7ad, "netdev_set_default_ethtool_ops" },
	{ 0x63e6dedb, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe148b729, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f09bdd4, "pskb_expand_head" },
	{ 0xe7a7046, "skb_queue_purge_reason" },
	{ 0xcbd228c, "dev_addr_mod" },
	{ 0xec7f7eb5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13dccd17, "alloc_netdev_mqs" },
	{ 0xe29c25de, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xe920112f, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe77da432, "wiphy_register" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "142E4817FFDA465A844ACFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
