#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x332bd261, "mt76_write_mac_initvals" },
	{ 0x5fedb86, "mt76x2_reset_wlan" },
	{ 0x18ca2eb2, "mt76x2_mcu_set_channel" },
	{ 0x3bfe4a28, "mt76x02_mcu_set_radio_state" },
	{ 0x3c8d12bb, "mt76_wake_tx_queue" },
	{ 0x389e069d, "mt76_get_antenna" },
	{ 0x34518f6f, "mt76x2_apply_gain_adj" },
	{ 0xc59d0fb9, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed6fc921, "mt76x02_sta_ps" },
	{ 0x7eb6d55d, "mt76x2_set_sar_specs" },
	{ 0x3ac9fa29, "mt76u_resume_rx" },
	{ 0x58835ec9, "mt76x02_sta_rate_tbl_update" },
	{ 0x3edb025f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc24f122e, "mt76_alloc_device" },
	{ 0x5b818b7d, "mt76x02_mac_shared_key_setup" },
	{ 0x20ca7e8e, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd97c3407, "mt76x2_mac_stop" },
	{ 0x5428b42, "usb_put_dev" },
	{ 0x31342fcf, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd7125ab5, "mt76x02_update_channel" },
	{ 0x2bf5882a, "mt76x2_configure_tx_delay" },
	{ 0x3a54e5d0, "usb_get_dev" },
	{ 0x60268665, "_dev_info" },
	{ 0xbb881997, "mt76x02_configure_filter" },
	{ 0xae2d4499, "mt76_free_device" },
	{ 0xf5917aa3, "mt76x02_queue_rx_skb" },
	{ 0x1b71249f, "mt76u_queues_deinit" },
	{ 0xf0019569, "ieee80211_queue_delayed_work" },
	{ 0x7cc7973d, "_dev_err" },
	{ 0xbf29b641, "mt76x02u_mcu_fw_reset" },
	{ 0xde98505e, "mt76x02_mac_setaddr" },
	{ 0x1a04610e, "mt76_register_device" },
	{ 0x10471a9d, "mt76_set_tim" },
	{ 0x48da9834, "mt76x02_sw_scan_complete" },
	{ 0x32538f28, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x55c9bfe1, "mt76x02_phy_set_band" },
	{ 0x6682e90d, "mt76_set_channel" },
	{ 0xb9520ded, "mt76x02_init_device" },
	{ 0x4927ba62, "mt76x02_tx" },
	{ 0xbf2454e0, "ieee80211_wake_queues" },
	{ 0x595f1a8, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xe53efe17, "mt76x02_sta_remove" },
	{ 0xb39f45ca, "mt76x02_phy_set_rxpath" },
	{ 0x2bca20d9, "mt76x02_edcca_init" },
	{ 0x5809ab68, "usb_deregister" },
	{ 0x6a3125da, "mt76x02_tx_status_data" },
	{ 0xd794516b, "mt76x02_sta_add" },
	{ 0xff98ed3e, "mt76x2_mcu_load_cr" },
	{ 0x642dfda1, "mt76x2_init_txpower" },
	{ 0x7ddf79d2, "mt76x02u_mcu_fw_send_data" },
	{ 0x1e7fd602, "mt76u_init" },
	{ 0x44092cf4, "mt76_get_survey" },
	{ 0x49c2b20a, "mt76x02_init_debugfs" },
	{ 0x5a403d02, "_dev_warn" },
	{ 0x57fd95da, "ieee80211_emulate_add_chanctx" },
	{ 0x10bb719d, "mt76x02u_init_mcu" },
	{ 0xd26c5880, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xada3acb, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x3187bd7a, "mt76x2_mcu_init_gain" },
	{ 0xe12d8413, "mt76_sta_state" },
	{ 0x2f4e399f, "mt76x2_phy_tssi_compensate" },
	{ 0x1f40f55b, "ieee80211_stop_queues" },
	{ 0xe824a059, "mt76x02u_mac_start" },
	{ 0x6f45e74d, "mt76x02_mac_cc_reset" },
	{ 0x8d3550dc, "mt76x02_bss_info_changed" },
	{ 0x9d86835b, "mt76x02_init_agc_gain" },
	{ 0x2b01b61c, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd69f28b7, "mt76_txq_schedule_all" },
	{ 0x4517bfc0, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcf8e3bd3, "mt76u_stop_tx" },
	{ 0x38d8d3c1, "mt76x02u_init_beacon_config" },
	{ 0xec6c8310, "ieee80211_unregister_hw" },
	{ 0x38b27c1d, "mt76u_vendor_request" },
	{ 0x2600527, "mt76x02_add_interface" },
	{ 0x22c6a296, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf8cd2abf, "mt76_get_sar_power" },
	{ 0x37f93d7, "mt76u_stop_rx" },
	{ 0x37ad0632, "mt76x02_ampdu_action" },
	{ 0x9f79f08c, "mt76x02_mcu_calibrate" },
	{ 0xe8947275, "mt76x02_conf_tx" },
	{ 0x26ba4e1a, "mt76x02_mcu_function_select" },
	{ 0x2f3fbf69, "mt76_sw_scan" },
	{ 0x83069680, "mt76_sta_pre_rcu_remove" },
	{ 0x6807285, "mt76x02_mac_wcid_setup" },
	{ 0x52ac9f34, "__mt76_poll" },
	{ 0x6c74564c, "mt76x2_read_rx_gain" },
	{ 0xfca45439, "mt76x2_phy_set_txpower_regs" },
	{ 0x75040c6a, "mt76x2_phy_set_txpower" },
	{ 0xc7e66144, "mt76x02_phy_set_txdac" },
	{ 0xcfc70990, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xedc25efc, "mt76x02_remove_interface" },
	{ 0x53d2f3e4, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0x2dfe35ef, "mt76x02_set_ethtool_fwver" },
	{ 0x1d786daa, "mt76x02_set_key" },
	{ 0x8cfcef51, "mt76_release_buffered_frames" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0xe52d4289, "usb_register_driver" },
	{ 0x3422e57c, "mt76_get_txpower" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211,mt76-usb,usbcore,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "537962D0DB9EE073E4BAD2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
