#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7464961, "wlcore_free_hw" },
	{ 0x8eb2ea26, "wlcore_event_soft_gemini_sense" },
	{ 0x8d3059b7, "wlcore_scan_sched_scan_results" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5bddb369, "wlcore_event_max_tx_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf9e9f004, "wlcore_remove" },
	{ 0x44825a, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e4540e3, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf0019569, "ieee80211_queue_delayed_work" },
	{ 0x86dc20e7, "simple_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe7e7b608, "wl1271_cmd_test" },
	{ 0xb776899b, "wlcore_enable_interrupts" },
	{ 0x6007dcc1, "wlcore_set_partition" },
	{ 0x5f1804da, "wl1271_acx_sleep_auth" },
	{ 0x3f677929, "wlcore_boot_upload_firmware" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd51d05d4, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2a83dc26, "wl12xx_acx_mem_cfg" },
	{ 0xe99614f9, "wl1271_cmd_data_path" },
	{ 0x64b413fd, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63165ce5, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x500c184f, "__platform_driver_register" },
	{ 0xd317bdfb, "wl1271_acx_set_ht_capabilities" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x62496126, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63d6dc4e, "wlcore_probe" },
	{ 0x1686c93a, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa53d7163, "wlcore_event_rssi_trigger" },
	{ 0xa5dae4f4, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3f0ebb03, "wl1271_acx_pm_config" },
	{ 0x2ab95091, "wlcore_event_ba_rx_constraint" },
	{ 0xb4e1fceb, "wlcore_event_inactive_sta" },
	{ 0x78da8002, "wlcore_event_dummy_packet" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x85719df0, "wlcore_event_beacon_loss" },
	{ 0x5b2813d7, "debugfs_create_dir" },
	{ 0x1fd45e58, "generic_file_llseek" },
	{ 0x317f4685, "wl1271_acx_init_mem_config" },
	{ 0x9ba40ec8, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0xb9cfe8c2, "wlcore_boot_upload_nvs" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x52d46c78, "wl12xx_cmd_build_probe_req" },
	{ 0x48812bec, "wl1271_tx_min_rate_get" },
	{ 0x788a800c, "wl1271_cmd_send" },
	{ 0xe246528e, "platform_driver_unregister" },
	{ 0x38b9c8a2, "wlcore_event_roc_complete" },
	{ 0xa204fd05, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x25e0f9eb, "wlcore_translate_addr" },
	{ 0xc4dad9a, "wlcore_boot_run_firmware" },
	{ 0xa03fb55f, "wlcore_set_scan_chan_params" },
	{ 0x1f3c4b40, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0x1042667e, "wlcore_tx_complete" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "364EB5A6328106185E686BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
