#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x7a34c04a, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xba07470a, "");
SYMBOL_CRC(pcmcia_dev_present, 0x5dfbf7b3, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xcc5bb705, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x59492a56, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x626981b8, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0xa9446cf2, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0xe058e908, "");
SYMBOL_CRC(pcmcia_release_window, 0x355281f7, "");
SYMBOL_CRC(pcmcia_enable_device, 0x39c41d07, "");
SYMBOL_CRC(pcmcia_request_io, 0x8006000e, "");
SYMBOL_CRC(pcmcia_request_irq, 0x717ad15b, "");
SYMBOL_CRC(pcmcia_request_window, 0xaf27085d, "");
SYMBOL_CRC(pcmcia_disable_device, 0x979d186b, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x3a5ec800, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0xe7855bda, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x16c32643, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x3df37c28, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2340af69, "driver_unregister" },
	{ 0x36d1094, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa26b1056, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc0fe185c, "device_register" },
	{ 0x4598afc3, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0x5a403d02, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0686702, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1a18c8d8, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb2b368d5, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x76a2b4, "pcmcia_put_socket" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x1dd1d4a8, "sysfs_remove_bin_file" },
	{ 0x8a2247cc, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x9b8140dd, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xca3d6e6b, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x34f3c62d, "dev_set_name" },
	{ 0x3c1c058d, "driver_remove_file" },
	{ 0xae162bf3, "driver_attach" },
	{ 0x4c7e0739, "device_unregister" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0xe8c1f4a8, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae0ee998, "get_device" },
	{ 0x3edb025f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcbd228c, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xec874206, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x796c6a98, "driver_create_file" },
	{ 0x630ab7ab, "bus_for_each_dev" },
	{ 0x60268665, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x3cf0471d, "pccard_register_pcmcia" },
	{ 0xa035bacb, "module_put" },
	{ 0x4bb721ae, "bus_unregister" },
	{ 0x7cc7973d, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "362A905E7D05BE21907F337");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
