#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x8957dd24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46bf5439, "nfs_sops" },
	{ 0x817ee46c, "init_user_ns" },
	{ 0xfd75e630, "rpc_restart_call" },
	{ 0xc0183f51, "alloc_pages" },
	{ 0xb7e4aec7, "nfs_link" },
	{ 0x4f5c745, "dput" },
	{ 0xd9a63b87, "put_nfs_open_context" },
	{ 0x31403a90, "nfs_permission" },
	{ 0xe96814f5, "nfs_add_or_obtain" },
	{ 0x7c80737c, "from_kuid_munged" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa9972f3d, "nfs_free_client" },
	{ 0x867b1a19, "nfs_close_context" },
	{ 0xad905d91, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x820d75f9, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x630f2de2, "nfs_symlink" },
	{ 0x69be80b2, "nfs_unlink" },
	{ 0x66468fe0, "forget_cached_acl" },
	{ 0xe117adeb, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x12c1a16a, "nlmclnt_proc" },
	{ 0xb3b643d3, "nfs_writeback_update_inode" },
	{ 0xcb691cc8, "nfs_alloc_client" },
	{ 0x20dfd885, "nfs_dentry_operations" },
	{ 0x66d216af, "xdr_write_pages" },
	{ 0xd8bd4e90, "nfs_access_zap_cache" },
	{ 0x34b0a7aa, "xdr_inline_decode" },
	{ 0x9b58beaa, "forget_all_cached_acls" },
	{ 0x69d7fc8c, "nfs_submount" },
	{ 0x90feb6cc, "__tracepoint_nfs_xdr_status" },
	{ 0x83f3c269, "nfs_mknod" },
	{ 0x4e316707, "nfs_create_server" },
	{ 0x745ad194, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a0eb4b9, "nfs_post_op_update_inode" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb08b63b2, "xdr_read_pages" },
	{ 0x8251dd89, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0xa86b7a3e, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa06c9a3, "nfs_mkdir" },
	{ 0xcdb285a9, "nfs_revalidate_inode" },
	{ 0x7c044d2e, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x44342eab, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x43b436d6, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0xa06bc207, "nfs_get_client" },
	{ 0x95826e33, "__free_pages" },
	{ 0x79debfcf, "nfs_file_operations" },
	{ 0xee96347, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x370aec76, "nfs_put_lock_context" },
	{ 0x36cb95a4, "nfs_rename" },
	{ 0x9bb60234, "nfs_lookup" },
	{ 0xe08ed1b0, "nfs_sysfs_link_rpc_client" },
	{ 0xe4c01271, "nfsacl_encode" },
	{ 0x65e3dec6, "posix_acl_create" },
	{ 0x931ecbc6, "get_nfs_open_context" },
	{ 0x25f748b2, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x9d7b44f9, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xc14036a2, "nfs_getattr" },
	{ 0xc00c7177, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x43d6f2f4, "nfs_zap_acl_cache" },
	{ 0xb2bf65fd, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xed6c539, "rpc_bind_new_program" },
	{ 0xdcfe99e7, "register_nfs_version" },
	{ 0x25a8c90d, "rpc_call_start" },
	{ 0x9a21eb37, "rpc_call_sync" },
	{ 0x7c2c361a, "rpc_prepare_reply_pages" },
	{ 0xeee27650, "nfs_fs_type" },
	{ 0x3a91a091, "nfs_setattr" },
	{ 0xfd30c51e, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x2cff468f, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x3404e4e2, "make_kgid" },
	{ 0x6042d3b4, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x710a50a1, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8268039c, "nfs_rmdir" },
	{ 0x72b53fb0, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda125395, "nfs_async_iocounter_wait" },
	{ 0x4d4203da, "nfs_setattr_update_inode" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "3B76001C85CCA10447283D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
