#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe06cf551, "skb_push" },
	{ 0x94de217, "generic_hwtstamp_get_lower" },
	{ 0x7c700881, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xbcde01ec, "garp_register_application" },
	{ 0x785f75d, "free_netdev" },
	{ 0xf4fcff63, "ethtool_get_ts_info_by_layer" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13d6138d, "ns_capable" },
	{ 0x2fc7a425, "ethtool_op_get_link" },
	{ 0xec0a802d, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfbccd471, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfdaabd7a, "vlan_ioctl_set" },
	{ 0x91936441, "proc_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6df9ca7, "pv_ops" },
	{ 0xa10854b3, "garp_init_applicant" },
	{ 0xe7ecc898, "__netpoll_setup" },
	{ 0x174d613b, "__dev_queue_xmit" },
	{ 0x7bb633eb, "vlan_vid_add" },
	{ 0xc7a7fe26, "linkwatch_fire_event" },
	{ 0x8af47cc6, "call_netdevice_notifiers" },
	{ 0xc4cedc6c, "vlan_vid_del" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1312d649, "dev_set_allmulti" },
	{ 0x7573d988, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2171a48, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0x3cdbe069, "netif_carrier_on" },
	{ 0x6826daa4, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa925c1f4, "garp_request_join" },
	{ 0x91db4943, "seq_puts" },
	{ 0xfd26005b, "_proc_mkdir" },
	{ 0x68e60538, "dev_uc_add" },
	{ 0xa2391213, "vlan_dev_vlan_id" },
	{ 0xc6f7dc57, "garp_uninit_applicant" },
	{ 0x36c2c02a, "proc_create_single_data" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc8e2a454, "dev_get_flags" },
	{ 0xa3b3c867, "vlan_filter_drop_vids" },
	{ 0x7b2795ef, "mrp_request_leave" },
	{ 0xa9a01f5e, "dev_mc_unsync" },
	{ 0x2eec6e8a, "vlan_filter_push_vids" },
	{ 0x2b06fab1, "dev_change_flags" },
	{ 0x770023b7, "mrp_uninit_applicant" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x6933ff7f, "register_netdevice" },
	{ 0x16051c98, "dev_set_mtu" },
	{ 0x28b115b1, "dev_get_stats" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9bc1b3bc, "dev_mc_sync" },
	{ 0xccba701, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdd589889, "mrp_request_join" },
	{ 0x1eebf51e, "mrp_unregister_application" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x697aa2bb, "netdev_update_features" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfd03e8ed, "__netpoll_free" },
	{ 0xb58e158, "dev_uc_sync" },
	{ 0x54eec7ba, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe4b3787d, "netpoll_send_skb" },
	{ 0xa4eb9499, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0x5a10692d, "mrp_register_application" },
	{ 0x17d6822c, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x497865b3, "dev_set_promiscuity" },
	{ 0x11409f1e, "eth_validate_addr" },
	{ 0x20484ffc, "netdev_warn" },
	{ 0x59523110, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa4104fe0, "garp_unregister_application" },
	{ 0x21cfdaec, "__dev_get_by_name" },
	{ 0x16d789f7, "dev_uc_unsync" },
	{ 0xe148b729, "ether_setup" },
	{ 0x76b39892, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad35d2ba, "netdev_upper_dev_link" },
	{ 0xbbd088c1, "mrp_init_applicant" },
	{ 0x781a9b9b, "register_pernet_subsys" },
	{ 0xcbd228c, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13dccd17, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb4d024d4, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xeff54b29, "garp_request_leave" },
	{ 0x9c8d9760, "__dev_get_by_index" },
	{ 0x3b2b2fee, "rtnl_link_unregister" },
	{ 0x12515da8, "generic_hwtstamp_set_lower" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca7dbb2c, "netif_stacked_transfer_operstate" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "garp,mrp");


MODULE_INFO(srcversion, "1C1D22EEFC46D90330F6EB1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
